WebLogicJDBCConnectionPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJDBCConnectionPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJDBCConnectionPool

All Superinterfaces:
  ConfigurationItem, J2EEResource, JDBCConnectionPool, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface WebLogicJDBCConnectionPool

extends JDBCConnectionPool

Represents a generic WebLogic JDBC Connection Pool which could be either standard or multi-pool.

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getCapacityIncrement()`
`boolean` | `getConnLeakProfilingEnabled()`
`WebLogicJDBCDriver` | `getDriver()`
`int` | `getInitialCapacity()`
`java.lang.String` | `getJNDIName()`
`int` | `getLoginDelaySeconds()`
`int` | `getMaxCapacity()`
`int` | `getPreparedStatementCacheSize()`
`int` | `getRefreshMinutes()`
`boolean` | `getShrinkingEnabled()`
`int` | `getShrinkPeriodMinutes()`
`boolean` | `getSupportsLocalTransaction()`
`boolean` | `getTestConnectionsOnRelease()`
`boolean` | `getTestConnectionsOnReserve()`
`java.lang.String` | `getTestTableName()`
`java.lang.String` | `getURL()`
`boolean` | `hasCapacityIncrement()`
`boolean` | `hasConnLeakProfilingEnabled()`
`boolean` | `hasDriver()`
`boolean` | `hasInitialCapacity()`
`boolean` | `hasJNDIName()`
`boolean` | `hasLoginDelaySeconds()`
`boolean` | `hasMaxCapacity()`
`boolean` | `hasPreparedStatementCacheSize()`
`boolean` | `hasRefreshMinutes()`
`boolean` | `hasShrinkingEnabled()`
`boolean` | `hasShrinkPeriodMinutes()`
`boolean` | `hasSupportsLocalTransaction()`
`boolean` | `hasTestConnectionsOnRelease()`
`boolean` | `hasTestConnectionsOnReserve()`
`boolean` | `hasTestTableName()`
`boolean` | `hasURL()`
`void` | `setCapacityIncrement(int i)`
`void` | `setConnLeakProfilingEnabled(boolean b)`
`void` | `setDriver(WebLogicJDBCDriver driver)`
`void` | `setInitialCapacity(int i)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setLoginDelaySeconds(int i)`
`void` | `setMaxCapacity(int i)`
`void` | `setPreparedStatementCacheSize(int i)`
`void` | `setRefreshMinutes(int i)`
`void` | `setShrinkingEnabled(boolean b)`
`void` | `setShrinkPeriodMinutes(int i)`
`void` | `setSupportsLocalTransaction(boolean b)`
`void` | `setTestConnectionsOnRelease(boolean b)`
`void` | `setTestConnectionsOnReserve(boolean b)`
`void` | `setTestTableName(java.lang.String s)`
`void` | `setURL(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getCapacityIncrement

    int getCapacityIncrement()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapacityIncrement

    void setCapacityIncrement(int i)

### hasCapacityIncrement

    boolean hasCapacityIncrement()

### getDriver

    WebLogicJDBCDriver getDriver()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDriver

    void setDriver(WebLogicJDBCDriver driver)

### hasDriver

    boolean hasDriver()

### getInitialCapacity

    int getInitialCapacity()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitialCapacity

    void setInitialCapacity(int i)

### hasInitialCapacity

    boolean hasInitialCapacity()

### getLoginDelaySeconds

    int getLoginDelaySeconds()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginDelaySeconds

    void setLoginDelaySeconds(int i)

### hasLoginDelaySeconds

    boolean hasLoginDelaySeconds()

### getMaxCapacity

    int getMaxCapacity()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxCapacity

    void setMaxCapacity(int i)

### hasMaxCapacity

    boolean hasMaxCapacity()

### getPreparedStatementCacheSize

    int getPreparedStatementCacheSize()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPreparedStatementCacheSize

    void setPreparedStatementCacheSize(int i)

### hasPreparedStatementCacheSize

    boolean hasPreparedStatementCacheSize()

### getRefreshMinutes

    int getRefreshMinutes()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRefreshMinutes

    void setRefreshMinutes(int i)

### hasRefreshMinutes

    boolean hasRefreshMinutes()

### getShrinkPeriodMinutes

    int getShrinkPeriodMinutes()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setShrinkPeriodMinutes

    void setShrinkPeriodMinutes(int i)

### hasShrinkPeriodMinutes

    boolean hasShrinkPeriodMinutes()

### getSupportsLocalTransaction

    boolean getSupportsLocalTransaction()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportsLocalTransaction

    void setSupportsLocalTransaction(boolean b)

### hasSupportsLocalTransaction

    boolean hasSupportsLocalTransaction()

### getTestConnectionsOnRelease

    boolean getTestConnectionsOnRelease()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTestConnectionsOnRelease

    void setTestConnectionsOnRelease(boolean b)

### hasTestConnectionsOnRelease

    boolean hasTestConnectionsOnRelease()

### getTestConnectionsOnReserve

    boolean getTestConnectionsOnReserve()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTestConnectionsOnReserve

    void setTestConnectionsOnReserve(boolean b)

### hasTestConnectionsOnReserve

    boolean hasTestConnectionsOnReserve()

### getTestTableName

    java.lang.String getTestTableName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTestTableName

    void setTestTableName(java.lang.String s)

### hasTestTableName

    boolean hasTestTableName()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String s)

### hasURL

    boolean hasURL()

### getConnLeakProfilingEnabled

    boolean getConnLeakProfilingEnabled()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnLeakProfilingEnabled

    void setConnLeakProfilingEnabled(boolean b)

### hasConnLeakProfilingEnabled

    boolean hasConnLeakProfilingEnabled()

### getShrinkingEnabled

    boolean getShrinkingEnabled()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setShrinkingEnabled

    void setShrinkingEnabled(boolean b)

### hasShrinkingEnabled

    boolean hasShrinkingEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD